<div *ngIf="this.errorMessage ; else good">
  {{errorMessage}}
  <br/>Please login as administrator.
  <div class="ui center aligned container">
    <button class="ui positive large button" routerLink="/auth/login">Login</button>
  </div>
</div>

<ng-template #good>
	<div class="ui top attached tabular menu">
	  <a routerLink="/admin/articles" class="{{this.router.url === '/admin/articles' ? ' item active' : 'item' }}">
	    Articles
	  </a>
	  <a routerLink="/admin/departments" class="{{this.router.url === '/admin/departments' ? ' item active' : 'item' }}">
	    Departments
	  </a>
	  <a routerLink="/admin/stores" class="{{this.router.url === '/admin/stores' ? ' item active' : 'item' }}">
	    Stores
	  </a>
	  <a routerLink="/admin/accounts" class="{{this.router.url === '/admin/accounts' ? ' item active' : 'item' }}">
	    Account
	  </a>
	</div>
	<div class="ui bottom attached segment" *ngIf="this.router.url === '/admin/articles'">
	  	<h4>Select a department:</h4>
		<select [(ngModel)]="departmentSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let department of departmentList">
		    	<option [ngValue]="department">{{ department.name }}</option>
		    </ng-container>
		</select> 
	  	<br>
	  	<br>
		<label><h4>Article:</h4>
		  <div class="ui input">
		    <input #nameArticle />
		  </div>
	    </label>
		<label><h4>Stock:</h4>
		  <div class="ui input">
		    <input #stockArticle />
		  </div>
	    </label>
	    <br>
	    <br>
	    <!-- (click) passes input value to add() and then clears the input -->
	    <button (click)="addArticle(nameArticle.value, stockArticle.value, departmentSelect);
	                  nameArticle.value='';stockArticle.value='';" class="ui fluid positive large submit button">
	    add
	    </button>
	    <hr>
		<ul>
		  <li *ngFor="let article of articleList"><div class=" ui segment">
		    {{article.department.name}} - {{article.name}} - {{article.stock}}
    		<button title="deleteArticle" (click)="deleteArticle(article)" class="ui negative mini right floated button">delete</button>
    		<button title="updateArticle" (click)="updateArticle(nameArticle.value, article);
	                  nameArticle.value='';" class="ui orange mini right floated button">update name</button>
	        <button title="updateArticleStock" (click)="updateArticleStock(stockArticle.value, article);
	                  stockArticle.value='';" class="ui orange mini right floated button">update stock</button>
    	</div>
		  </li>
		</ul>
	</div>

	<div class="ui bottom attached segment" *ngIf="this.router.url === '/admin/departments'">
		<h4>Select a store:</h4>
		<select [(ngModel)]="storeSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let store of storeList">
		    	<option [ngValue]="store">{{ store.name }}</option>
		    </ng-container>
		</select> 
	  	<br>
		<label><h4>Name:</h4>
		  <div class="ui input">
		    <input #nameDepartment />
		  </div>
	    </label>
	    <br>
	    <br>
	    <!-- (click) passes input value to add() and then clears the input -->
	    <button (click)="addDepartment(nameDepartment.value, storeSelect);
	                  nameDepartment.value='';" class="ui fluid positive large submit button">
	    add
	    </button>
	    <hr>
		<ul>
		  <li *ngFor="let department of departmentList"><div class=" ui segment">
		    {{department.name}}
    		<button title="deleteDepartment" (click)="deleteDepartment(department)" class="ui negative mini right floated button">delete</button>
    		<button title="updateDepartment" (click)="updateDepartmentContent(nameDepartment.value, department);
	                  nameDepartment.value='';" class="ui orange mini right floated button">update</button>
    	</div>
		  </li>
		</ul>
	</div>

	<div class="ui bottom attached segment" *ngIf="this.router.url === '/admin/stores'">
		<label><h4>Name:</h4>
		  <div class="ui input">
	        <input #nameStore />
	 	  </div>
	    </label>
	    <br>
	    <br>
	    <!-- (click) passes input value to add() and then clears the input -->
	    <button (click)="addStore(nameStore.value);
	                  nameStore.value='';" class="ui fluid positive large submit button">
	    add
	    </button>
	    <hr>
		<ul>
		  <li *ngFor="let store of storeList"><div class=" ui segment">
		    {{store.name}}
    		<button title="deleteStore" (click)="deleteStore(store)" class="ui negative mini right floated button">delete</button>
    		<button title="updateStoreContent" (click)="updateStoreContent(nameStore.value, store);
	                  nameStore.value='';" class="ui orange mini right floated button">update</button>
		  </div></li>
		</ul>
	</div>

	<div class="ui bottom attached segment" *ngIf="this.router.url === '/admin/accounts'">
		<h4>Select a user:</h4>
		<select [(ngModel)]="userSelect" class="ui selection dropdown" required>
		    <option *ngFor="let user of userList" [ngValue]="user">
		        {{ user.username }}
		    </option>
		</select> 

		<h4>Select a store:</h4>
		<select [(ngModel)]="storeSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let store of storeList">
		      <ng-container *ngIf="!store.user">
		    	<option [ngValue]="store">{{ store.name }}</option>
		      </ng-container>
		    </ng-container>
		</select> 
	  	<br>
	    <br>
		<!-- (click) passes input value to add() and then clears the input -->
		<button (click)="updateStore(storeSelect, userSelect);" class="ui fluid positive large submit button">
		    Link
		</button>

		<h4>Select a user:</h4>
		<select [(ngModel)]="userSelect2" class="ui selection dropdown" required>
		    <option *ngFor="let user of userList" [ngValue]="user">
		        {{ user.username }}
		    </option>
		</select> 

		<h4>Select a department:</h4>
		<select [(ngModel)]="departmentSelect" class="ui selection dropdown" required>
			<ng-container *ngFor="let department of departmentList">
		      <ng-container *ngIf="!department.user">
		    	<option [ngValue]="department">{{ department.name }}</option>
		      </ng-container>
		    </ng-container>
		</select> 
	  	<br>
	    <br>
		<!-- (click) passes input value to add() and then clears the input -->
		<button (click)="updateDepartment(departmentSelect, userSelect2);" class="ui fluid positive large submit button">
		    Link
		</button>
	</div>


	
</ng-template>
